### Method

# Adw SpringAnimationset_epsilon

#### Declaration [src]

    void
    adw_spring_animation_set_epsilon (
      AdwSpringAnimation* self,
      double epsilon
    )

#### Description [src]

Sets the precision of the spring.

The level of precision used to determine when the animation has come to a rest, that is, when the amplitude of the oscillations becomes smaller than this value.

If the epsilon value is too small, the animation will take a long time to stop after the animated value has stopped visibly changing.

If the epsilon value is too large, the animation will end prematurely.

The default value is 0.001.

Sets property | `Adw.SpringAnimation:epsilon`

#### Parameters

`epsilon`

  Type: `double`

  The new value.